gic_control(3)

NAME
gic_control : Group multiple features

SYNOPSIS
#include <ggi/gic_struct.h>
typedef struct gic_control {
      char name[65];                  /* name of the control *
      char shortname[5];              /* short name of the control */
      gic_featurelist *features;      /* list of attached features */
} gic_control;
typedef struct gic_controllist {
      struct gic_controllist *next;
      gic_control *control;
} gic_controllist;

DESCRIPTION
Controls contain all "Features" that make up a given set like all things you might need to do for navigating a menu.

name
    Name of the control.

shortname
    Shortname of the control.

features
    list of attached features.

SEE ALSO
gic_feature(3), gicControlAllocate(3)